package com.ff.base.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Optional;
import java.util.stream.Stream;

/**
 * 优惠领取来源
 *
 * @author liukang
 * @date 2024/12/21
 */
@Getter
@AllArgsConstructor
public enum DiscountReceiveSource {

    SOURCE_1("1",  "VIP奖励"),
    SOURCE_2("2",  "返水"),
    SOURCE_3("3",  "任务奖励"),
    SOURCE_4("4",  "活动奖励");

    private final String source;
    private final String info;

}
